#!/usr/bin/perl -w

use strict;
use CGI qw(:standard);

my $q = CGI->new();

my $query_type = $q->param('query_type');

my @intro_phrases = ('My sources say',
                     'All signs indicate that',
                     'Search your heart. You know');

my @responses = ('the answer is yes.',
                 'the answer is no.',
                 'it is too soon to tell.',
                 'the outlook is hazy. Please ask again later.');

my $response_text = $intro_phrases[int( rand ( scalar (@intro_phrases) ) )] .
                    ' ' .
                    $responses[int( rand ( scalar (@responses) ) )];


print qq*
<?xml version="1.0"?>
<vxml>
<var name="query_type" expr="'$query_type'"/>
<form id="response">
  <block>
    <audio>
    I sense your consternation. Questions about <value expr="query_type"/> can be very troublesome.
    $response_text
    </audio>
    <goto next="#new_or_exit"/>
  </block>
</form>

<form id="new_or_exit">
  <field name="new_question">
    <prompt>Would you like to ask another question?</prompt>
    <grammar>
    <![CDATA[
    [
      [yes] {<new_question "yes">}
      [no] {<new_question "no">}
    ]
    ]]>
    </grammar>
    <filled>
    <if cond="new_question=='no'">
      <audio>Thank you for calling. Goodbye.</audio>
      <disconnect/> 
    <else/>
    <goto next="http://hampton.ws/kip/mystic_prompt.vxml#main_query"/>
    </if>
    </filled>
  </field>  
</form>
</vxml>   
*;
